Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.csw.configuration
Class CatalogueDeegreeParams

    java.lang.Object
      org.deegree.enterprise.DeegreeParams
          org.deegree.ogcwebservices.csw.configuration.CatalogueDeegreeParams

All Implemented Interfaces:
  Serializable

    public class CatalogueDeegreeParams

extends DeegreeParams

Represents the specific `deegreeParams` section of the configuration for a deegree CSW 2.0 instance. This class encapsulates the deegree CWS specific parameters and inherits the parameters from the `DeegreeParams` class.

It adds the following elements to the common `deegreeParams`:``

Name | Mandatory | Function
--- | --- | ---
WFSResource | - | Resource location of the capabilities of the WFS responsible for data access, default: file:///$RootDirectory$/WEB-INF/xml/wfs_capabilities.xml.
CatalogAddresses | - | Addresses of remote catalogs to be used to realize a cascading catalog.
HarvestRepository | - | Information concerning services that are harvestable.

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth , Markus Schneider , last edited by: $Author: mschneider $
See Also:
  `DeegreeParams`, Serialized Form

Constructor Summary
`CatalogueDeegreeParams(OnlineResource defaultOnlineResource, int cacheSize, int requestTimeLimit, String characterSet, SimpleLink wfsResource, OnlineResource[] catalogAddresses, JDBCConnection harvestRepository, String defaultOutputSchema, OnlineResource trans_in_xslt, OnlineResource trans_out_xslt)` Creates a new CatalogDeegreeParams instance.

Method Summary
`OnlineResource[]` | `getCatalogAddresses()`
`String` | `getDefaultOutputSchema()`
`JDBCConnection` | `getHarvestRepository()`
`OnlineResource` | `getTransformationInputXSLT()`
`OnlineResource` | `getTransformationOutputXSLT()`
`SimpleLink` | `getWfsResource()`
`void` | `setCatalogAddresses(OnlineResource[] catalogAddresses)`
`void` | `setDefaultOutputSchema(String defaultOutputSchema)`
`void` | `setHarvestRepository(JDBCConnection harvestRepository)`
`void` | `setTransformationInputXSLT(OnlineResource xslt)`
`void` | `setTransformationOutputXSLT(OnlineResource xslt)`
`void` | `setWfsResource(SimpleLink wfsResource)`

Methods inherited from class org.deegree.enterprise.DeegreeParams
`getCacheSize, getCharacterSet, getCharset, getDefaultOnlineResource, getRequestTimeLimit, setCacheSize, setCharacterSet, setDefaultOnlineResource, setRequestTimeLimit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CatalogueDeegreeParams

    public CatalogueDeegreeParams(OnlineResource defaultOnlineResource,
                                  int cacheSize,
                                  int requestTimeLimit,
                                  String characterSet,
                                  SimpleLink wfsResource,
                                  OnlineResource[] catalogAddresses,
                                  JDBCConnection harvestRepository,
                                  String defaultOutputSchema,
                                  OnlineResource trans_in_xslt,
                                  OnlineResource trans_out_xslt)

  Creates a new CatalogDeegreeParams instance.

  Parameters:
    `defaultOnlineResource` -
    `cacheSize` -
    `requestTimeLimit` -
    `characterSet` -
    `wfsResource` -
    `catalogAddresses` -
    `harvestRepository` -
    `defaultOutputSchema` -
    `trans_in_xslt` -
    `trans_out_xslt` -

Method Detail

### getCatalogAddresses

    public OnlineResource[] getCatalogAddresses()

  Returns:
    Returns the catalogAddresses.

### setCatalogAddresses

    public void setCatalogAddresses(OnlineResource[] catalogAddresses)

  Parameters:
    `catalogAddresses` - The catalogAddresses to set.

### getHarvestRepository

    public JDBCConnection getHarvestRepository()

  Returns:
    Returns the harvestRepository.

### setHarvestRepository

    public void setHarvestRepository(JDBCConnection harvestRepository)

  Parameters:
    `harvestRepository` - The harvestRepository to set.

### getWfsResource

    public SimpleLink getWfsResource()

  Returns:
    Returns the wfsResource.

### setWfsResource

    public void setWfsResource(SimpleLink wfsResource)

  Parameters:
    `wfsResource` - The wfsResource to set.

### getDefaultOutputSchema

    public String getDefaultOutputSchema()

  Returns:
    returns the default output schema

### setDefaultOutputSchema

    public void setDefaultOutputSchema(String defaultOutputSchema)

  Parameters:
    `defaultOutputSchema` - default output schema

### getTransformationInputXSLT

    public OnlineResource getTransformationInputXSLT()

  Returns:
    the xslt url

### setTransformationInputXSLT

    public void setTransformationInputXSLT(OnlineResource xslt)

  Parameters:
    `xslt` -

### getTransformationOutputXSLT

    public OnlineResource getTransformationOutputXSLT()

  Returns:
    the xslt url

### setTransformationOutputXSLT

    public void setTransformationOutputXSLT(OnlineResource xslt)

  Parameters:
    `xslt` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org